package com.gmail.jinro.noppo.behavior;

public abstract class DecoratorBase implements INode {
	public INode child = null;
	public abstract boolean Condition(Object... args);
	
	public DecoratorBase(INode child) {
		this.child = child;
	}
	
	@Override
	public Status Do(Object... args) {
		if(Condition(args)) {
			return child.Do(args);
		}
		return Status.Failure;
	}

}
