/**
 * 
 */
package com.gmail.jinro.noppo.players.v1;
import org.aiwolf.common.net.GameInfo;
import org.aiwolf.common.net.GameSetting;

import com.gmail.jinro.noppo.data.WorldCache;
import com.gmail.jinro.noppo.interfaces.*;
import com.gmail.jinro.noppo.plans.AllSiteTrackPlan;
import com.gmail.jinro.noppo.plans.FakeRoleSelectPlan;
import com.gmail.jinro.noppo.plans.PossessedVotePlan;

/**
 * @author Yu
 *
 */
public class Possessed extends PlayerBase {
	IWorldCache worldCache;

	@Override
	public void initialize(GameInfo gameInfo, GameSetting gameSetting) {
		super.initialize(gameInfo, gameSetting);
		worldCache = new WorldCache();
		
		addPlan(new AllSiteTrackPlan(this, analyzer, worldCache));
		addPlan(new FakeRoleSelectPlan(this, analyzer, worldCache));
		addPlan(new PossessedVotePlan(this, analyzer, worldCache));
	}
	
	
}
