/**
 * 
 */
package com.gmail.jinro.noppo.players.v1;

import org.aiwolf.common.net.*;

import com.gmail.jinro.noppo.data.*;
import com.gmail.jinro.noppo.interfaces.IWorldCache;
import com.gmail.jinro.noppo.plans.*;
import com.gmail.jinro.noppo.behavior.*;
import com.gmail.jinro.noppo.behavior.seer.SeerTalkTree;

public class Seer extends PlayerBase{
	IWorldCache worldCache;
	
	@Override
	public void initialize(GameInfo gameInfo, GameSetting gameSetting){
		super.initialize(gameInfo, gameSetting);
		worldCache = new WorldCache();

		addPlan(new AllSiteTrackPlan(this, analyzer, worldCache));
		addPlan(new SeerPlan(this, analyzer, worldCache));
	}
}
