package com.gmail.jinro.noppo.tests.preliminarily;

import java.util.HashMap;
import java.util.Map;
import java.util.Random;

import org.aiwolf.common.data.Player;
import org.aiwolf.common.data.Role;
import org.aiwolf.common.net.GameSetting;
import org.aiwolf.server.AIWolfGame;
import org.aiwolf.server.net.DirectConnectServer;

import com.gmail.jinro.noppo.players.v1.RoleAssignPlayer;

@SuppressWarnings("deprecation")
public class SelfAgentTester {

	/**
	 * @param args
	 * @throws IllegalAccessException 
	 * @throws InstantiationException 
	 */
	public static void main(String[] args) throws InstantiationException, IllegalAccessException {

		
		//ここにテストしたい自分のPlayerを指定してください．
		Player player = new com.gmail.jinro.noppo.players.v1.RoleAssignPlayer();
		String requestRoleName = args[0];
		Role master = Role.valueOf(requestRoleName);
		
		/////////////////////////////////////////////
		//これ以降は変更しないでください．
		
		@SuppressWarnings("unchecked")
		Class<Player> pcls = (Class<Player>) player.getClass();
		for(int j = 0; j < 1; j++){
			for(Role requestRole:Role.values()){
				if(requestRole == Role.FREEMASON){
					continue;
				}
				if(requestRole != master) {
					continue;
				}
				
				player = pcls.newInstance();
				
				Map<Player, Role> playerMap = new HashMap<Player, Role>();
				playerMap.put(player, requestRole);
				for(int i = 0; i < 14; i++){
					playerMap.put(new RoleAssignPlayer(), null);
				}
				
				DirectConnectServer gameServer = new DirectConnectServer(playerMap);
				GameSetting gameSetting = GameSetting.getDefaultGame(playerMap.size());
				AIWolfGame game = new AIWolfGame(gameSetting, gameServer);
				game.setRand(new Random());
				try{
					game.start();
				}catch(Exception e)
				{
					System.out.println(e.getMessage());
					System.exit(1);
					throw e;
				}
			}
		}
	}

}
