package com.gmail.jinro.noppo.behavior;

import java.util.*;

public class Selector implements INode {
	public List<INode> childNodes = new ArrayList<INode>();

	public Selector(INode... childNodes) {
		for(INode node : childNodes) {
			this.childNodes.add(node);
		}
	}
	
	@Override
	public Status Do(Object... args) {
		for(INode node : childNodes) {
			if(node.Do(args) == Status.Success) {
				return Status.Success;
			}
		}
		return Status.Failure;
	}

}
