package com.gmail.jinro.noppo.behavior;

import java.util.*;

public class Sequencer implements INode {
	public List<INode> childNodes = new ArrayList<INode>();

	public Sequencer(INode... childNodes) {
		for(INode node : childNodes) {
			this.childNodes.add(node);
		}
	}
	@Override
	public Status Do(Object... args) {
		for(INode node : childNodes) {
			if(node.Do(args) == Status.Failure) {
				return Status.Failure;
			}
		}
		return Status.Success;
	}
}
