package com.gmail.jinro.noppo.behavior.seer;

import com.gmail.jinro.noppo.behavior.*;
import com.gmail.jinro.noppo.players.*;
import com.gmail.jinro.noppo.interfaces.*;
import com.gmail.jinro.noppo.behavior.conditions.*;

public class Day1Decorator extends DecoratorBase {
  public Day1Decorator(INode childNode) {
    super(childNode);
  }
  @Override
  public boolean Condition (Object... args) {
    PlayerBase caller = (PlayerBase)args[0];
    IAnalyzer analyzer = (IAnalyzer)args[1];
    return BasicCondition.isDay(caller, analyzer, 1);
  }
}




