package com.gmail.jinro.noppo.players;

import org.aiwolf.common.net.GameInfo;
import org.aiwolf.common.net.GameSetting;

import com.gmail.jinro.noppo.data.WorldCache;
import com.gmail.jinro.noppo.interfaces.IWorldCache;
import com.gmail.jinro.noppo.plans.*;

public class Bodyguard extends PlayerBase {
	IWorldCache worldCache = new WorldCache();
	@Override
	public void initialize(GameInfo gameInfo, GameSetting gameSetting) {
		super.initialize(gameInfo, gameSetting);
		addPlan(new BodyguardPlan(this, analyzer, worldCache));
		addPlan(new AllSiteTrackPlan(this, analyzer, worldCache));
	}
}
