/**
 * 
 */
package com.gmail.jinro.noppo.players;

import org.aiwolf.common.net.*;

import com.gmail.jinro.noppo.data.*;
import com.gmail.jinro.noppo.interfaces.IWorldCache;
import com.gmail.jinro.noppo.plans.*;
import com.gmail.jinro.noppo.behavior.*;
import com.gmail.jinro.noppo.behavior.seer.SeerTalkTree;
import com.gmail.jinro.noppo.behavior.villager.VillagerTalkTree;

public class Seer extends PlayerBase{
	IWorldCache worldCache = new WorldCache();
	INode talkBehavior = new SeerTalkTree();
	
	@Override
	public void initialize(GameInfo gameInfo, GameSetting gameSetting){
		super.initialize(gameInfo, gameSetting);
		addPlan(new AllSiteTrackPlan(this, analyzer, worldCache));
		addPlan(new SeerPlan(this, analyzer, worldCache));
	}

	@Override
	public String talk() {
		talkBehavior.Do(this, this.analyzer);
		return this.currentTalk;
	}
}
