/**
 * 
 */
package com.gmail.jinro.noppo.players.v1;

import java.util.ArrayList;
import java.util.List;

import org.aiwolf.common.data.Judge;
import org.aiwolf.common.net.GameInfo;
import org.aiwolf.common.net.GameSetting;

import com.gmail.jinro.noppo.data.WorldCache;
import com.gmail.jinro.noppo.interfaces.*;
import com.gmail.jinro.noppo.plans.AllSiteTrackPlan;
import com.gmail.jinro.noppo.plans.MediumPlan;

/**
 * @author Yu
 *
 */
public class Medium extends PlayerBase {
	IWorldCache worldCache;
	
	@Override
	public void initialize(GameInfo gameInfo, GameSetting gameSetting) {
		super.initialize(gameInfo, gameSetting);
		worldCache = new WorldCache();
		addPlan(new MediumPlan(this, analyzer));
		addPlan(new AllSiteTrackPlan(this, analyzer, worldCache));
	}
	
	class DayStatus {
		int talkVotePlanCount = 0;
	}
	
	DayStatus currentDayStatus = new DayStatus();
	
	List<Judge> inquestResults = new ArrayList<Judge>();
	List<Judge> toldInquestResults = new ArrayList<Judge>();
	
	/* (non-Javadoc)
	 * @see org.aiwolf.client.base.player.AbstractVillager#dayStart()
	 */
	@Override
	public void dayStart() {
		super.dayStart();

	}
	

	
}
